Subject: Re: [PATCH v2 2/2] Documentation/log: clarify sha1 non-abbreviation in log --raw

From: Junio C Hamano <[email-masked]>
Date: Mon, 18 May 2015 15:29:15 -0700

Matthieu Moy <[email-masked]> writes:

>>> +`git log --raw`. To get unabbreviated commits in a raw diff format,
>>> +use `--no-abbrev`.
>>
>> s/commits in a raw/object names in a raw/?
>
> Yes, that is better. Let me know if you want me to resend.
>
>> I wondered what "this format" was, and had to read the patch with
>> "show -U60" to realize that this is about "--pretty=<format>".
>> Perhaps the introductory text of the first paratraph in the section
>> is not clear enough that not just --pretty=raw but --pretty=anything
>> is about how the commit object is shown and has nothing to do with
>> how patches are shown, and that is why this new text is necessary?
>
> I would say no, since other formats do not have this "raw log format" Vs
> "raw diff format" confusion.

I think we are in agrement, then.

I have this queued with the usual "SQUASH" label on top, so there is
no need to resend.

Thanks.

diff --git a/Documentation/pretty-formats.txt b/Documentation/pretty-formats.txt
index 998c7b8..2393f17 100644
--- a/Documentation/pretty-formats.txt
+++ b/Documentation/pretty-formats.txt
@@ -81,7 +81,7 @@ displayed in full, regardless of whether --abbrev or
 true parent commits, without taking grafts or history
 simplification into account. Note that this format affects the way
 commits are displayed, but not the way the diff is shown e.g. with
-`git log --raw`. To get unabbreviated commits in a raw diff format,
+`git log --raw`. To get full object names in a raw diff format,
 use `--no-abbrev`.
 
 * 'format:<string>'
-- 
2.4.1-379-g2a6df60